--- old/usr/src/uts/i86pc/io/pcplusmp/apic.c	Wed May 15 07:34:07 2019
+++ new/usr/src/uts/i86pc/io/pcplusmp/apic.c	Wed May 15 07:34:07 2019
@@ -82,6 +82,7 @@
 #include <sys/hpet.h>
 #include <sys/apic_common.h>
 #include <sys/apic_timer.h>
+#include <sys/ht.h>
 
 /*
  *	Local Function Prototypes
@@ -300,6 +301,11 @@
 		apic_ipltopri[j] = (i << APIC_IPL_SHIFT) + APIC_BASE_VECT;
 	apic_init_common();
 
+	/*
+	 * For pcplusmp, we'll keep things simple and always disable this.
+	 */
+	ht_intr_alloc_pil(XC_CPUPOKE_PIL);
+
 	apic_pir_vect = apic_get_ipivect(XC_CPUPOKE_PIL, -1);
 
 #if !defined(__amd64)
